Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519890 - remove exclusivity - fiptool
Summary: remove exclusivity - fiptool
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: arm-trusted-firmware
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 16:13 UTC by Jiri Kastner
Modified: 2019-01-09 12:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Jiri Kastner 2017-12-01 16:13:36 UTC
Description of problem:
tools folder contains utilities for creating/updating/investigating firmware images.
make sense to have those tools on non-aarch64 platform.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Peter Robinson 2017-12-04 00:22:06 UTC
(In reply to Jiri Kastner from comment #0)
> Description of problem:
> tools folder contains utilities for creating/updating/investigating firmware
> images.
> make sense to have those tools on non-aarch64 platform.

Why does it make sense? What would you use them for? At the moment all the ATF builds are used for is to provide binaries for u-boot to build appropriate images, they're not really intended for end user consumption what so ever.

Comment 2 Fedora End Of Life 2018-02-20 15:24:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Jiri Kastner 2018-03-05 14:45:35 UTC
(In reply to Peter Robinson from comment #1)
> (In reply to Jiri Kastner from comment #0)
> > Description of problem:
> > tools folder contains utilities for creating/updating/investigating firmware
> > images.
> > make sense to have those tools on non-aarch64 platform.
> 
> Why does it make sense? What would you use them for? At the moment all the
> ATF builds are used for is to provide binaries for u-boot to build
> appropriate images, they're not really intended for end user consumption
> what so ever.

same like u-boot tools for plaforms which are very often used for cross compilation. when 'bootstrapping' fedora on some new board, where is not native binary for compilation, one needs to cross compile everything on system and also have binaried for generating such u-boot image.

Comment 4 Jan Kurik 2018-08-14 10:16:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.


Note You need to log in before you can comment on or make changes to this bug.